'use strict';

/**
 * Enum representing available Anthropic Claude models
 */
exports.EAnthropicModel = void 0;
(function (EAnthropicModel) {
    EAnthropicModel["CLAUDE_3_5_HAIKU"] = "claude-3-5-haiku-latest";
    EAnthropicModel["CLAUDE_3_5_HAIKU_DATED"] = "claude-3-5-haiku-20241022";
    // Claude 3.5 series
    EAnthropicModel["CLAUDE_3_5_SONNET"] = "claude-3-5-sonnet-latest";
    EAnthropicModel["CLAUDE_3_5_SONNET_V1"] = "claude-3-5-sonnet-20240620";
    EAnthropicModel["CLAUDE_3_5_SONNET_V2"] = "claude-3-5-sonnet-20241022";
    // Claude 3.7 series
    EAnthropicModel["CLAUDE_3_7_SONNET"] = "claude-3-7-sonnet-latest";
    EAnthropicModel["CLAUDE_3_7_SONNET_DATED"] = "claude-3-7-sonnet-20250219";
    EAnthropicModel["CLAUDE_3_HAIKU"] = "claude-3-haiku-20240307";
    // Claude 3 series
    EAnthropicModel["CLAUDE_3_OPUS"] = "claude-3-opus-latest";
    EAnthropicModel["CLAUDE_3_OPUS_DATED"] = "claude-3-opus-20240229";
    EAnthropicModel["CLAUDE_3_SONNET"] = "claude-3-sonnet-20240229";
    // Claude 4 series (Latest 2025 models)
    EAnthropicModel["CLAUDE_OPUS_4"] = "claude-opus-4-20250514";
    EAnthropicModel["CLAUDE_SONNET_4"] = "claude-sonnet-4-20250514";
})(exports.EAnthropicModel || (exports.EAnthropicModel = {}));
//# sourceMappingURL=anthropic-model.enum.js.map
