'use strict';

/**
 * Enum representing the available Google (Vertex AI/Gemini) models
 */
exports.EGoogleModel = void 0;
(function (EGoogleModel) {
    // Gemini 1.0 Series
    EGoogleModel["GEMINI_1_0_PRO"] = "gemini-1.0-pro";
    // Gemini 1.5 Series
    EGoogleModel["GEMINI_1_5_FLASH"] = "gemini-1.5-flash";
    EGoogleModel["GEMINI_1_5_FLASH_8B"] = "gemini-1.5-flash-8b";
    EGoogleModel["GEMINI_1_5_PRO"] = "gemini-1.5-pro";
    // Gemini 2.0 Series
    EGoogleModel["GEMINI_2_0_FLASH_EXP"] = "gemini-2.0-flash-exp";
    // Gemini 2.5 Series (Latest 2025)
    EGoogleModel["GEMINI_2_5_FLASH"] = "gemini-2.5-flash";
    EGoogleModel["GEMINI_2_5_PRO"] = "gemini-2.5-pro";
    EGoogleModel["GEMMA_3_12B"] = "gemma-3-12b";
    // Gemma open models (for Vertex AI deployments)
    EGoogleModel["GEMMA_3_1B"] = "gemma-3-1b";
    EGoogleModel["GEMMA_3_27B"] = "gemma-3-27b";
    EGoogleModel["GEMMA_3_4B"] = "gemma-3-4b";
})(exports.EGoogleModel || (exports.EGoogleModel = {}));
//# sourceMappingURL=google-model.enum.js.map
